org.apache.ignite.internal.visor.query

## Class VisorRunningQueriesCollectorTask

- java.lang.Object
- - org.apache.ignite.internal.visor.VisorMultiNodeTask<VisorRunningQueriesCollectorTaskArg,Map<UUID,Collection<VisorRunningQuery>>,Collection<VisorRunningQuery>>
  - - org.apache.ignite.internal.visor.query.VisorRunningQueriesCollectorTask

All Implemented Interfaces:
  Serializable, ComputeTask<VisorTaskArgument<VisorRunningQueriesCollectorTaskArg>,Map<UUID,Collection<VisorRunningQuery>>>

    @GridInternal
    public class VisorRunningQueriesCollectorTask
    extends VisorMultiNodeTask<VisorRunningQueriesCollectorTaskArg,Map<UUID,Collection<VisorRunningQuery>>,Collection<VisorRunningQuery>>

Task to collect currently running queries.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`debug, ignite, start, taskArg`

### Constructor Summary

Constructors
Constructor and Description
`VisorRunningQueriesCollectorTask()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected org.apache.ignite.internal.visor.query.VisorRunningQueriesCollectorTask.VisorCollectRunningQueriesJob` `job(VisorRunningQueriesCollectorTaskArg arg)`
`protected @Nullable Map<UUID,Collection<VisorRunningQuery>>` `reduce0(List<ComputeJobResult> results)` Actual reduce logic.

### Methods inherited from class org.apache.ignite.internal.visor.VisorMultiNodeTask

`jobNodes, map, map0, reduce, result`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### VisorRunningQueriesCollectorTask

    public VisorRunningQueriesCollectorTask()

### Method Detail

#### job

    protected org.apache.ignite.internal.visor.query.VisorRunningQueriesCollectorTask.VisorCollectRunningQueriesJob job(VisorRunningQueriesCollectorTaskArg arg)

Specified by:
  `job` in class `VisorMultiNodeTask<VisorRunningQueriesCollectorTaskArg,Map<UUID,Collection<VisorRunningQuery>>,Collection<VisorRunningQuery>>`
Parameters:
  `arg` - Task arg.
Returns:
  New job.

#### reduce0

    @Nullable
    protected @Nullable Map<UUID,Collection<VisorRunningQuery>> reduce0(List<ComputeJobResult> results)
                                                                           throws IgniteException

Actual reduce logic.

Specified by:
  `reduce0` in class `VisorMultiNodeTask<VisorRunningQueriesCollectorTaskArg,Map<UUID,Collection<VisorRunningQuery>>,Collection<VisorRunningQuery>>`
Parameters:
  `results` - Job results.
Returns:
  Task result.
Throws:
  `IgniteException` - If reduction or results caused an error.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.10.0
Release Date | : March 10 2021